:root{--primeColour:#c4d0f9;--secondaryColour:#2d4aa2;--thirdColour:#140b64;--fourthColour:#C08552;--white:#faf0f0;--red:#c70f0f;--darkred:#aa0a0a;--darkPurple:#05010d;--grey:#262d32}
*{margin:0;padding:0}
em,h1,h2,h3,h4,h5,p{margin:.2em;padding:.2em}
body{background:var(--white);color:var(--darkPurple);line-height:1.5;font-family:Helvetica}
.layout{height:100%;width:100%;display:grid;grid-template:3em 1fr auto auto/90px 1fr;grid-template-areas:"n n" "review review" "f f" "copy copy"}
.review{grid-area:review;margin:1em;overflow:hidden}
.review a{text-decoration:none;color:var(--darkred)}
.review a:hover{text-decoration:none;color:var(--red)}
.copyright,.footer{background:var(--primeColour);color:var(--darkPurple);text-align:center;padding:1em}
.footer{grid-area:f;display:flex;flex-wrap:wrap;background:var(--midNight);color:#fff;padding:0;margin:0}
.footer div{flex:1 1 18em;display:flex;flex-direction:column;justify-content:space-between;border-radius:1em;place-content:center;font-size:.8em}
.copyright p a,.footer p a{text-decoration:none;color:var(--secondaryColour)}
.copyright p a:hover,.footer p a:hover{text-decoration:none;color:var(--fourthColour)}
.footer-box{flex:1 1 22em;display:grid;border-radius:.8em;text-align:center;padding:2em;align-items:center;color:var(--thirdColour)}
.footer-box p,.morelinks{line-height:1.5em;font-size:1.1em}
.copyright{grid-area:copy}
.scrolling-wrapper-flexbox{display:flex;flex-wrap:nowrap;overflow-x:auto;margin:.5em}
.scrolling-wrapper-flexbox{-webkit-overflow-scrolling:touch}
.card{flex:0 0 auto;margin:3px 2px}
.card img{border-radius:1em;height:95px;width:auto;opacity:.75}
.card img:hover{opacity:.95}
.card iframe{border-radius:1em;height:auto;width:20em}
.program-card{flex:0 0 auto;margin:.5em 10px}
.program-card img{border-radius:1em;height:20em;width:auto}
.video-container{position:relative;padding-bottom:56.25%;padding-top:30px;height:0;overflow:hidden;border-radius:.5em}
.video-container embed,.video-container iframe,.video-container object{position:absolute;top:0;left:0;width:100%;height:100%;border-radius:.5em}
ul li{list-style:none;text-decoration:none;font-size:.85em;font-weight:400;padding:3px}
strong{font-weight:700}
table{font-family:arial,sans-serif;border:2px solid var(--darkPurple);width:100%;text-align:center;border-collapse:separate;border-radius:.5em}
td,th{padding:10px;border-radius:3px}
tr{border-radius:3px}
tr:nth-child(even){background-color:#ddd}
hr{border:1px solid var(--darkPurple)}
hr.half-line-hr{border:.5px solid var(--darkPurple)}
hr.quarter-line-hr{border:.25px solid var(--darkPurple)}
.text-center{display:grid;grid-template-columns:1fr;margin:0 20%;padding:10px}
.text-center button{margin:1em;padding:10px}
.infoblock{display:flex;flex-wrap:wrap;gap:0.5em;}
.infoblock>div{flex:1 1 14em;display:flex;flex-direction:column;justify-content:space-between;border-radius:1em;background-image:linear-gradient(to left,rgba(104,136,250,.2),rgba(30,131,247,.3));margin:.25em;padding:.5em;text-align:center;word-wrap:break-word;overflow-wrap:break-word;word-break:break-all;white-space:normal;}
.infoblock>div:nth-child(6n+2){background-image:linear-gradient(to right,rgba(250,104,177,.2),rgba(247,30,138,.3))}
.infoblock>div:nth-child(6n+3){background-image:linear-gradient(to left,rgba(162,105,15,.2),rgba(164,111,19,.3))}
.infoblock div a img{height:20em;width:auto;border-radius:.5em}
.infoblock div a{text-decoration:none;color:var(--thirdColour)}
.infoblock div a:hover{text-decoration:none;color:var(--secondaryColour)}
.infoblock div em{font-size:.9em}
.listcontainer{display:grid;gap:.5em;height:auto;grid-template-columns:repeat(auto-fit,minmax(10em,1fr));margin:.5em}
.listcontainer>div{display:flex;flex-direction:column;justify-content:space-between;background-color:var(--primeColour);border-radius:1em;margin:.2em;padding:10px;text-align:center;border-bottom-style:solid;}
.listcontainer>div a{text-decoration:none;color:var(--darkPurple)}
.listcontainer>div>a:hover{color:var(--darkPurple)}
.listcontainer>div:nth-child(2n+0){background-color:var(--secondaryColour)}
.listcontainer>div:nth-child(2n+0) a{color:var(--primeColour)}
.listcontainer>div:nth-child(3n+0){background-color:var(--thirdColour)}
.listcontainer>div:nth-child(3n+0) a{color:var(--fourthColour)}
.listcontainer>div:nth-child(4n+0){background-color:var(--fourthColour)}
.listcontainer>div:nth-child(4n+0) a{color:var(--thirdColour)}
.listcontainer div img{width:100%;height:auto}
.listcontainer div table{font-family:arial,sans-serif;border:none;border-collapse:none;width:100%;text-align:center}
.listcontainer div table a{text-decoration:none;color:#193b90}
a:hover{color:var(--darkPurple);text-decoration:none}
.playlist{margin:10px;display:grid;grid-template-columns:repeat(autofit,minmax(350px,550px));gap:2em}
.playlist iframe{border-radius:7px;height:400px;width:60%}
.playlist .inhouse-playlist{display:grid;grid-template:31px 1fr/1fr;grid-template-areas:"top" "bottom";flex-direction:column;background:rgba(20,20,20,.8);border-radius:1em;border-bottom-style:solid;overflow:scroll}
.playlist .inhouse-playlist .player{grid-area:top;background:#000;position:-webkit-sticky;position:sticky;top:0;width:100%;height:auto;z-index:2;border-top-left-radius:7px;border-top-right-radius:7px;border-bottom-right-radius:0;border-bottom-right-radius:0}
.playlist .inhouse-playlist .player audio{width:100%;height:100%}
.inhouse-playlist .tracklist{grid-area:bottom}
.inhouse-playlist .tracklist ul{display:grid;gap:10px;grid-template-columns:repeat(auto-fit,minmax(100px,1fr));grid-auto-rows:25px;padding-top:10px;padding-bottom:10px;padding-right:.5em}
.inhouse-playlist .tracklist li a{list-style-position:inside;color:#f5f5f5;text-decoration:none;display:block}
.inhouse-playlist .tracklist .current-song a{color:#d11e11}
.heading{text-align:center;padding:.75em .5em;margin:.3em auto 0em auto;line-height:1.3;text-wrap: inherit;}
.heading-date{text-align:center;padding: .5em;line-height:1.1;font-size: medium;}
@media (width>47em){
body{font-size:1.2em;line-height:1.3;font-family:Helvetica}
.layout{height:100%;display:grid;grid-template:4em 1fr auto auto/90px 1fr 1fr;grid-template-areas:"n n n" "review review review" "f f f" "copy copy copy"}
.review{margin-top:1em;margin-left:1em;margin-right:1em}
.card{flex:0 0 auto;margin:.5em 5px}
.card img{border-radius:1em;height:170px;width:auto;opacity:.8}
table.summer-table{font-size:x-small;overflow-x:scroll}
.materials{display:flex;flex-wrap:nowrap;overflow-x:auto;margin:.5em}
.materials{-webkit-overflow-scrolling:touch}
.materials>div{flex:0 0 90px;flex-direction:column;margin:.1em;padding:1px;text-align:center}
.materials div a img{border-radius:1em;width:90px;height:auto}
.infoblock{display:grid;grid-template-columns:repeat(auto-fit,minmax(155px,1fr));margin:.1em}
.infoblock div a img{height:170px}
.listcontainer{gap:.25em;grid-template-columns:repeat(auto-fit,minmax(13em,1fr));margin-top:10px}
.listcontainer p,em{font-size:.9em}
.listcontainer>div{margin:.15em;padding:10px;text-align:center;font-size:smaller}
.listcontainer h4{font-size:small}
.playlist{margin:7px;display:grid;grid-template-columns:1fr}
.playlist iframe{border-radius:7px;width:100%}
}
@media (prefers-color-scheme:dark){
hr{border:1px solid rgba(118,114,114,.75)}
hr.half-line-hr{border-top:.75px solid rgba(118,114,114,.75)}
hr.quarter-line-hr{border-top:.25px solid rgba(118,114,114,.75)}
.copyright,.footer,body{background:var(--darkPurple);color:var(--white)}
.footer-box{color:var(--secondaryColour)}
.card img:hover{opacity:.85}
.infoblock>div a{text-decoration:none;color:var(--red)}
.infoblock>div a:hover{text-decoration:none;color:var(--darkred)}
.listcontainer>div{border-bottom-style:none}
.materials>div>a>img{opacity:.8;border-radius:.5em}
.playlist .inhouse-playlist{background:var(--grey);color:var(--white)}
.playlist .inhouse-playlist .player{background:var(--grey)}
.inhouse-playlist .tracklist li a{color:#f5f5f5;text-decoration:none}
.inhouse-playlist .tracklist .current-song a{color:#d11e11}
}